# Poco::Net

# class QuotedPrintableEncoderIOS

Library: Net
Package: Messages
Header: Poco/Net/QuotedPrintableEncoder.h

## Description

The base class for QuotedPrintableEncoder.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: QuotedPrintableEncoder

## Member Summary

Member Functions: close, rdbuf

## Constructors

### QuotedPrintableEncoderIOS

QuotedPrintableEncoderIOS(
std::ostream & ostr
);

## Destructor

### ~QuotedPrintableEncoderIOS

~QuotedPrintableEncoderIOS();

## Member Functions

### close

int close();

### rdbuf

QuotedPrintableEncoderBuf * rdbuf();

## Variables

### _buf

QuotedPrintableEncoderBuf _buf;